Bug 19060 - add "type" attribute to <nav> to distinguish between primary and secondary navigation
add "type" attribute to <nav> to distinguish between primary and secondary na...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.w3.org/TR/html5/semantics....
: NE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 22:02 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 22:02:20 UTC
This was was cloned from bug 7557 as part of operation LATER convergence.
Originally filed: 2009-09-09 18:35:00 +0000
Original reporter: Michael[tm] Smith <mike@w3.org>

================================================================================
 #0   Michael[tm] Smith                               2009-09-09 18:35:44 +0000 
--------------------------------------------------------------------------------
It would be useful to have a "type" attribute on <nav> with the enumerated values "primary" and "secondary".

Rationale and use case:

Many documents contain different classes of navigational content. In most documents that provide such classes of navigational content, the main difference is between primary navigation and secondary navigation.

The distinction between what constitutes primary navigation and what constitutes secondary navigation is of course not universal, but one way to describe the distinction would be: Primary navigation is the main set of navigational links for a site -- the important stuff that consistently and prominently appears in the same page on every page of a site -- and secondary navigation is the less important stuff that appears less prominently and perhaps less consistently and may not always be in the same place on every page of site.

In the section defining <nav> in the current draft spec itself, one of the examples (currently the second example there) shows a case of <nav> being used to mark up both some primary navigation and some secondary navigation. So that seems to help support the argument that it would be useful to have a standard means to mark up the different between those two classes of navigation.

Also, as the note at the beginning of the section on <nav> mentions, UAs such as screen readers [or, by the way, browsers on mobile handsets] can use the <nav> element as a way to determine what content on the page to initially skip and/or provide on only on request [in the same of browsers on mobile devices, they might, for example, want to provide access to such navigation through a soft-key menu on the device, instead of rendering it in the main text flow of the page].

But for such UAs, it would be useful to have a means to distinguish primary navigation from secondary navigation; for example, they might want to make the main navigation more easily skippable or available through other means, but  keep the secondary navigation within the main text flow.

So the use case here is basically to enable users to have a different user experience for primary navigation and secondary navigation in cases where it makes sense for them to -- and thus for page authors and UAs that want to allow end users a different user experience of primary navigation and secondary navigation, to provide a standard means for making the distinction between the two.
================================================================================
 #1   Michael[tm] Smith                               2009-09-09 19:50:40 +0000 
--------------------------------------------------------------------------------
(In reply to comment #0)
> Primary navigation is the main set of
> navigational links for a site -- the important stuff that consistently and
> prominently appears in the same page on every page of a site

Make that, "prominently appears in the same *place* on every page of a site".
================================================================================
 #2   Ian 'Hixie' Hickson                             2009-09-18 21:56:04 +0000 
--------------------------------------------------------------------------------
I think we should wait to have more implementation experience with <nav> as it is today before adding more features to it.
================================================================================
 #3   Maciej Stachowiak                               2010-03-14 14:50:55 +0000 
--------------------------------------------------------------------------------
This bug predates the HTML Working Group Decision Policy.

If you are satisfied with the resolution of this bug, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
  http://dev.w3.org/html5/decision-policy/decision-policy.html

This bug is now being moved to VERIFIED. Please respond within two weeks. If this bug is not closed, reopened or escalated within two weeks, it may be marked as NoReply and will no longer be considered a pending comment.
================================================================================